## jamaendo 0.2.5-2

=== Makefile ===
#
# This file is part of Jamaendo.
# Copyright (c) 2010 Kristoffer Gronlund
#
# Jamaendo is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Jamaendo is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Jamaendo.  If not, see <http://www.gnu.org/licenses/>.
#

PREFIX ?= /usr
DESTDIR ?= /

JAMAENDOBIN = scripts/jamaendo
JAMAENDOVERSION = `grep -m 1 VERSION jamaui/ui.py | cut -d "'" -f 2`
#MESSAGESPOT = data/messages.pot


PYTHON ?= /usr/bin/python2.5

all:
	@echo "Possible make targets:"
	@echo "    install - install the package"
	@echo "    clean - remove the build files"
	@echo "    distclean - remove build files + dist target"

install: python-install post-install install-schemas

python-install:
	$(PYTHON) setup.py install --optimize 2 --root=$(DESTDIR) --prefix=$(PREFIX)

post-install:
	gtk-update-icon-cache -f -i $(DESTDIR)$(PREFIX)/share/icons/hicolor/
	update-desktop-database $(DESTDIR)$(PREFIX)/share/applications/

clean:
	rm -rf build
	rm -f jamaendo/*.pyc jamaendo/*.pyo
	rm -f jamaui/*.pyc jamaui/*.pyo
#	make -C data/po clean

distclean: clean
	rm -rf dist

# See: http://wiki.maemo.org/Uploading_to_Extras#Debian_tooling
build-package:
	dpkg-buildpackage -rfakeroot -sa -kkristoffer.gronlund@purplescout.se -i -I.git

#messagespot:
#	xgettext -k_ --from-code utf-8 --language Python \
#	  -o $(MESSAGESPOT) scripts/jamaendo jamaendo/*.py jamaui/*.py
#	sed -i \
#	  -e 's/SOME DESCRIPTIVE TITLE/Jamaendo translation template/g' \
#	  -e 's/THE PACKAGE'"'"'S COPYRIGHT HOLDER/Jamaendo Contributors/g' \
#	  -e 's/YEAR/2010/g' \
#	  -e 's/FIRST AUTHOR <EMAIL@ADDRESS>/Nick Nobody <me@nikosapi.org>/g' \
#	  -e 's/PACKAGE VERSION/Jamaendo '$(JAMAENDOVERSION)'/g' \
#	  -e 's/-Bugs-To: /-Bugs-To: kegie+jamaendo@ovi.com/g' \
#	  -e 's/PACKAGE/Jamaendo/g' $(MESSAGESPOT)

#gen_gettext: messagespot
#	make -C data/po generators
#	make -C data/po update

## jamaendo 0.2-1

=== debian/changelog ===
jamaendo (0.2-1) unstable; urgency=low

  * Second preview
  * Images in album/track lists
  * Improved 'featured' - now with tags and more
  * Using pycurl instead of urllib to fetch
  * Various other bugfixes

 -- Kristoffer Gronlund <kristoffer.gronlund@purplescout.se>  Sun,  3 Jan 2010 22:21:44 +0100

jamaendo (0.1-1) unstable; urgency=low

  * First preview

 -- Kristoffer Gronlund <kristoffer.gronlund@purplescout.se>  Fri, 01 Jan 2010 14:44:08 +0100

=== debian/control ===
Source: jamaendo
Maintainer: Kristoffer Gronlund <kristoffer.gronlund@purplescout.se>
Section: user/multimedia
Priority: optional
Standards-Version: 3.7.3
Build-Depends: debhelper (>= 5.0.37.2), python2.5-dev
XS-Python-Version: >= 2.5
XB-Python-Version: ${python:Versions}
Homepage: http://jamaendo.garage.maemo.org/

Package: jamaendo
Architecture: all
Depends: ${python:Depends}, python2.5-gtk2, python2.5-gstreamer, python2.5-dbus, python2.5-hildon, python-lxml, python2.5-osso, python-pycurl
Description: Streaming media player that plays music from jamendo.com
XB-Maemo-Display-Name: Jamaendo Player
XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c                                                          
  6QAAAAZiS0dEAG0AJQBuDG3A1wAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0                                                          
  SU1FB9oBAQw5E3mN7jwAAAAZdEVYdENvbW1lbnQAQ3JlYXRlZCB3aXRoIEdJ                                                          
  TVBXgQ4XAAAF9klEQVRIx8WWW2xcdxHGf3P27NXr2Ous7fi6pRinJrEDbmUo                                                          
  1IUm6i2kmKA0ICRAEAIICfWBloTwwE0tLULIghapgKhakIhUp1VLSkJFpOKk
  aZUmrlDrJiF2Gttbb727Xt/W612fc/7DQ+LEdRIFeIB5/es/3zefZuYb+B+F
  XO0h05cIo1QBt4noJ0A6VLkOISZggc4ojIrKm4i+DPIiMAEU4ttG9JpAmacT
  NkIX8FmB7aCNIHINwqpoVpDnVXWviByObxspXRUo29ccVWWniOwA2gDrP1RI
  Qc+p8kcReTS+bSR9GVC2L1Gh6I8E+Qqw6spJcIEFVQUIIeKXK8tfVPRpgV3x
  baMplhhn+hJ+4D6Qr10BpAA8pqp3qur1qtoMNCPyPlRvA30YmFzxJyQq2xV2
  ZfqaowCS7WsW4A5VeVyExEX2qvNGrGcsCe5e3XXq3RVyW2QRWjBMI7ND36hy
  po7sVlP8MpiYoHIhSxb4lqL7fA9srywHvi8ityxJqZAXy/+4P9b141jXS7Ms
  EMQjgCGARzlCDSEqKRLCEA9G76kJVtx1xiuensHNrQMvDCoIERUqgf2S7Ut0
  qvI3EWIXGBvE/muwauv9TnCPtTC1sMZzTBkWGo6G8/OZ/Jq3XnxrhzGmbNN9
  m37z2t7X7kqdSnWDWDWtFa9u6P5D0DgnbscUlhppQaHHBjYvAwHFtYK1T46d
  /mrD+MnXv17MF9ucklMhIiZUGcqubq7KzM3M3ZTPzq869OtDdZMjuRoEcRfd
  wOwrs/cEwz0vrO0cdtSUguABhIGtlsKt72kt0Uyk9ruH8rl8Y/Zctnt+prDG
  skUKc4V4cjDZefbE292OcUOuccmN5+IbNncc7Li7/aVwVbjgqiujJ02r5asa
  Wz4ZArfaonxweYMKcjy4qme+oT01EI6FH4pWR8siqyLB7Gj2o/1PHb5zdnI2
  ZAdsHM+hvqEut+H2DSfOHB9qMep5jutgjHFFom8CLcv4r7VVqZHlC0N851gg
  UJ+ow++358ZOJltHp8YanaLT4LgOxvLEiNFFb5F0MrO675F9O2ayMxX53FyZ
  Cm7D2voDauaLGG+5ULaNp77lE2lZIZ3OTF9/9JmjPxw9NXaH53l2IOQvqiCO
  66CWjVrgei65bC40NzNbZwfsQnWierD1xtZ9HTd37Jt7J7llBRC2OEwDVRdk
  A1+kYexksuvsG2fvNkbtpramsx+4qeXvarTmL08c2OJ5HkEN4HgOLetaUlt3
  fOZJT00qm8yUIuWRwYAJpHRxNi4r1qqtng4JdF2qyvvQTHbqzEKp6PcH/F5t
  ovadts62fx7Zf6TZ8Rxsz4/YlusaNzA6PFp14E8HNy4WS8V0KlNZW1/73KZP
  b3wb17v5vD4XlRq3cc0xRS4CiZaa19Ql1WDcQrHgGzg80Dl4fLBlanIqhg/j
  GkfjdfEUQiTzbmb1sf5jXSKoPxjIh6Oh+mL6kRt8aMdyIOCojccLqrpTkKCi
  qFf0VwafbU/c0NM/PDjSncvmwgiBjo+098/PFcqHTg2ttywZ2HLvpw6mU+nK
  fD5f4bf982XlZcny6Nyw3/R+wRgTuVSNeiLynGQebahG5Vng40s1YZVnNfDJ
  3w1P3Ds5M1mKVzfUDLd3rB8cT45HRoZH6mNVsXPtne1DRHEpYhHCONPHmD39
  zc3G5H4i4jVecgZ9A2GzZHobfKh8SZFfCkTPsxBFgmnbrustb/v9U3bo/QuE
  KVFCmMdiERcHBzAAhVyvNZ/71RcR5wcITXJpWkvAbhXzmACkf95cLUqvKp8T
  8C21uiCgvKr4HlbxvYIvWMCyDYAsTAoQwuJGER5QkY3yXqP0EParyLdr7h8Z
  u7gT0j9tWo/yC2DT5c6qBsgBI4pk5TyRmEACNA7iW+FHBuhH+E7N98YGLrPy
  9ENN64BdwFYuyPhfRF7heYGf1ewZ+8dVj5OJBxurgR4R2Qn6YRD/v3ksOAKv
  K/pb4M+1e5IT1zy3Jh5stAViKtwiyOeBj6HUIfhWZPcQUqocFWEv8LKiudo9
  SZf/V/wLutHIlKZ+E9wAAAAASUVORK5CYII=

## jamaendo 0.2-2

=== debian/changelog ===
jamaendo (0.2-2) unstable; urgency=low

  * Initial background loading support (search window)
  * Fixed log append issue (/tmp is only 1MB)
  * Added icon credits in about box

 -- Kristoffer Grönlund <kristoffer.gronlund@purplescout.se>  Fri, 08 Jan 2010 00:39:20 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper (>= 5.0.37.2), python2.5-dev
 XS-Python-Version: >= 2.5
 XB-Python-Version: ${python:Versions}
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1207
 Homepage: http://jamaendo.garage.maemo.org/
 
 Package: jamaendo

## jamaendo 0.2-3

=== debian/changelog ===
jamaendo (0.2-3) unstable; urgency=low

  * Background loading support
  * Fixed missing package dependency
  * Playlist removal supported
  * Bugfixes and tweaks

 -- Kristoffer Grönlund <kristoffer.gronlund@purplescout.se>  Sat, 09 Jan 2010 04:39:10 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: jamaendo
 Architecture: all
-Depends: ${python:Depends}, python2.5-gtk2, python2.5-gstreamer, python2.5-dbus, python2.5-hildon, python-lxml, python2.5-osso, python-pycurl
+Depends: ${python:Depends}, python2.5-gtk2, python2.5-gstreamer, python2.5-dbus, python2.5-hildon, python-lxml, python2.5-osso, python-pycurl, python-simplejson
 Description: Streaming media player that plays music from jamendo.com
 XB-Maemo-Display-Name: Jamaendo Player
 XB-Maemo-Icon-26:

## jamaendo 0.2.5-1

=== debian/changelog ===
jamaendo (0.2.5-1) unstable; urgency=low

  * Potential fix for deadlock in player

 -- Kristoffer Grönlund <kristoffer.gronlund@purplescout.se>  Sat, 09 Jan 2010 21:31:22 +0100

jamaendo (0.2.4-1) unstable; urgency=low

  * Seeking support in player
  * Fixed tag search

 -- Kristoffer Grönlund <kristoffer.gronlund@purplescout.se>  Sat, 09 Jan 2010 16:17:44 +0100

## jamaendo 0.2.5-2

=== debian/changelog ===
jamaendo (0.2.5-2) unstable; urgency=low

  * Fixed wrong license in about box.

 -- Kristoffer Grönlund <kristoffer.gronlund@purplescout.se>  Tue, 26 Jan 2010 15:03:01 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 5.0.37.2), python2.5-dev
 XS-Python-Version: >= 2.5
 XB-Python-Version: ${python:Versions}
-XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1207
+XSBC-Bugtracker: http://github.com/krig/jamaendo/issues
 Homepage: http://jamaendo.garage.maemo.org/
 
 Package: jamaendo

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CHANGELOG	= debian/changelog
DOCS		= #AUTHORS README

PYTHON		= /usr/bin/python2.5
SETUP		= ${PYTHON} setup.py

DEBPACKAGE	= jamaendo
DESTDIR		= debian/${DEBPACKAGE}
PREFIX		= usr

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp
# Add here commands to configure the package.

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	${SETUP} build
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	${SETUP} clean --all
	rm -rf build dist
	dh_clean
	make clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	${SETUP} install --no-compile -O2 --root='$(DESTDIR)' --prefix='$(PREFIX)'
#	PREFIX=$(PREFIX) DESTDIR=$(DESTDIR) $(MAKE) gen_gettext dbus-service-install copy-schemas

binary-arch:

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs $(CHANGELOG)
	dh_installdocs $(DOCS)
	dh_installmenu
	dh_installman
	dh_compress
	dh_fixperms
	dh_python
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep

.PHONY: build clean binary-indep binary-arch binary install configure
